## cinder 2012.2~f3~20120809.102

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 python-sqlalchemy,
 python-setuptools,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-iso8601,
 python-coverage,
 python-mox,
 python-nose,
 python-sphinx,
 python-mysqldb,
 python-setuptools-git,
 pep8,
Standards-Version: 3.9.3
Homepage: http://launchpad.net/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: ${python:Depends}, python-sqlalchemy,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-babel,
 python-iso8601,
 ${misc:Depends}
Description: Cinder python libraries
 Cinder is a storage service for the Openstack project.
 .
 This package contains the proython parts of cinder.

Package: cinder-common
Architecture: all
Depends: python-cinder (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Description: Cinder starage service - common files
 Cinder is a storage service for the Openstack project
 .
 This package contains things that are needed for all parts of cinder

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - api server
 Cinder is a storage service for the Openstack project
 .
 This package contains the api server

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - api server
 Cinder is a storage service for the Openstack project
 .
 This package contains the volume server

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - api server
 Cinder is a storage service for the Openstack project
 .
 This package contains the scheduler server

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

=== debian/watch ===
version=3
http://tarballs.openstack.org/cinder/ cinder-(.*).tar.gz

## cinder 2012.2~f3

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python-routes,
  python-webob,
  python-greenlet,
+ python-glanceclient,
  python-pastedeploy,
  python-paste,
  python-migrate,
@@ -59,7 +60,6 @@
  python-glance,
  python-suds,
  python-paramiko,
- python-babel,
  python-iso8601,
  ${misc:Depends}
 Description: Cinder python libraries

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,5 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -N -P
+	./run_tests.sh -N -P || true
 endif

## cinder 2012.2

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  python-sphinx,
  python-mysqldb,
  python-setuptools-git,
+ python-mysqldb,
  pep8,
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cinder
@@ -61,6 +62,7 @@
  python-suds,
  python-paramiko,
  python-iso8601,
+ python-glanceclient,
  ${misc:Depends}
 Description: Cinder python libraries
  Cinder is a storage service for the Openstack project.
@@ -86,7 +88,14 @@
 
 Package: cinder-volume
 Architecture: all
-Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Depends: cinder-common (= ${binary:Version}),
+ lvm2,
+ tgt,
+ ${python:Depends},
+ ${misc:Depends}
+Suggests: python-ceph
+Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
+Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
 Description: Cinder storage service - api server
  Cinder is a storage service for the Openstack project
  .

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,8 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -N -P || true
+	./run_tests.sh -N -P
 endif
+
+override_dh_fixperms:
+	dh_fixperms -Xcinder_tgt.conf

## cinder 2012.2.1

=== debian/changelog ===
cinder (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - Cinder should suggest ceph-common, not python-ceph (LP: #1065901):
      - debian/control: cinder-volume Suggests: python-ceph -> ceph-common
  * Resynchronize with stable/folsom (87d839a5) (LP: #1085255):
    - [f990ff0] Remove unused python-daemon dependency
    - [940f363] Detached and deleted RBD volumes remain associated with insance
      (LP: #1083818)
    - [7f34ba3] After folsom upgrade, instances can no longer access existing
      volumes. (LP: #1065702)
    - [1c99b24] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [d12d4b6] Add SIGPIPE handler to subprocess execution in rootwrap and
      utils.execute (LP: #1053364)
    - [ce5e002] Set defaultbranch in .gitreview to stable/folsom

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 04 Dec 2012 09:19:29 -0800

=== debian/control ===
--- 
+++ 
@@ -93,7 +93,7 @@
  tgt,
  ${python:Depends},
  ${misc:Depends}
-Suggests: python-ceph
+Suggests: ceph-common
 Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
 Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
 Description: Cinder storage service - api server

## cinder 2012.2.3

=== debian/changelog ===
cinder (2012.2.3-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (a8caa79f) (LP: #1116671):
    - [cdf6c13] Root wrap tools used by NFS volume driver LP: 1087282

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 06 Feb 2013 11:40:26 -0400

## cinder 2012.2.4

=== debian/changelog ===
cinder (2012.2.4-0ubuntu1.1~cloud0) precise-folsom; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 07 May 2014 06:12:32 -0400

cinder (2012.2.4-0ubuntu1.1) quantal-security; urgency=medium

  * SECURITY UPDATE: ssl not enforced when qpid_protocol is set to ssl
    - debian/patches/CVE-2013-6491.patch: set the right parameter in
      cinder/openstack/common/rpc/impl_qpid.py.
    - CVE-2013-6491

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Mar 2014 14:32:29 -0400

cinder (2012.2.4-0ubuntu1) quantal-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-1664.patch: [fcf249d]
  * Resynchronize with stable/folsom (7916a2f4) (LP: #1179707):
    - [ec46ee0] NetApp: Folsom driver wrongly allows creation of volumes of
      different size from snapshots LP: 1164473
    - [00e8049] Cannot delete snapshot in "error" state LP: 1143661
    - [ce516f6] fanout_cast_to_server in kombu calls wrong method LP: 1074113
    - [cdb72ee] Enable direct testing with nosetests
    - [e63fa95] Netapp: delete_volume leaves qtree behind LP: 1099414
    - [8e702a1] NetApp: Can't delete a volume in error state LP: 1090167
    - [2e7f717] Don't have permission to delete a volume in error state
      LP: 1084273
    - [ad2dddd] Volume can't be deleted if tgt has had a reconnect. LP: 1159948
    - [db0595a] [SRU] There is now a dependency on paramiko v1.8.0
      (LP: #1150720)
    - [a616001] Only use iscsi_helper config option if using ISCSIDriver
    - [cbad3e3] Can not create volume snapshot when using NfsDriver LP: 1097266
    - [95c9f6f] Volume type extra specs update with empty body returns HTTP
      status 422 LP: 1090320
    - [aeece14] ISCSITargetRemoveFailed: Failed to remove iscsi target
      LP: 1101071
    - [fcf249d] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282
  * debian/patches/remove_paramiko_req_vers.patch: Remove version bump on
    paramiko requirement that was backported to stable/folsom.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 25 Apr 2013 17:29:58 -0400

cinder (2012.2.3-0ubuntu2) quantal-proposed; urgency=low

  * Re-sync with latest security updates.
  * SECURITY UPDATE: fix denial of service
    - CVE-2013-1664.patch: Add a new utils.safe_minidom_parse_string function
      and update external API facing Cinder modules to use it
    - CVE-2013-1664

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2013 11:43:38 +0000

cinder (2012.2.1-0ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: fix denial of service
    - CVE-2013-1664.patch: Add a new utils.safe_minidom_parse_string function
      and update external API facing Cinder modules to use it
    - CVE-2013-1664
    - LP: #1100282

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Feb 2013 11:36:44 -0600

## cinder 2013.1~g2

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6)
Build-Depends-Indep:
 python-sqlalchemy,
 python-setuptools,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-glanceclient,
 python-keystoneclient,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-iso8601,
 python-coverage,
 python-mox,
 python-nose,
 python-sphinx,
 python-mysqldb,
 python-setuptools-git,
 python-mysqldb,
 pep8,
 python-stevedore (>= 0.7)
Standards-Version: 3.9.3
Homepage: http://launchpad.net/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: ${python:Depends}, python-sqlalchemy,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-iso8601,
 python-glanceclient,
 ${misc:Depends}
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends: python-cinder (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}),
 lvm2,
 tgt,
 ${python:Depends},
 ${misc:Depends}
Suggests: ceph-common
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

## cinder 2013.1

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 pep8,
 python-amqplib,
 python-anyjson,
 python-cheetah,
 python-coverage,
 python-eventlet,
 python-glanceclient,
 python-greenlet,
 python-hp3parclient (>= 1.0.0),
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-migrate,
 python-mock,
 python-mox,
 python-mysqldb,
 python-nose,
 python-oslo.config,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-swiftclient,
 python-setuptools,
 python-setuptools-git,
 python-sphinx,
 python-sqlalchemy,
 python-stevedore (>= 0.8),
 python-suds,
 python-webob
Standards-Version: 3.9.3
Homepage: http://launchpad.net/cinder

Package: python-cinder
Section: python
Architecture: all
Depends:
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-glance,
 python-glanceclient,
 python-keystoneclient,
 python-oslo.config,
 python-greenlet,
 python-iso8601,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-migrate,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-stevedore (>= 0.8),
 python-swiftclient,
 python-sqlalchemy,
 python-suds,
 python-webob,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-hp3parclient
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 python-cinder (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 lvm2,
 tgt,
 ${misc:Depends},
 ${python:Depends}
Suggests: ceph-common
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -v
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

## cinder 2013.1.3

=== debian/changelog ===
cinder (1:2013.1.3-0ubuntu2.1) raring-security; urgency=low

  * SECURITY UPDATE: No change rebuild for raring-security to fix the
    following:
    - [c6f2f78] Cinder LVM volume driver does not support secure deletion
      (CVE-2013-4183) LP: #1198185
    - [2023eec] [OSSA 2013-023] Potential unsafe XML usage (CVE-2013-4179,
      CVE-2013-4202) LP: #1190229

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Oct 2013 09:47:10 -0500

cinder (1:2013.1.3-0ubuntu2) raring-proposed; urgency=low

  * debian/patches/fix-secure-delete-for-lvm.patch: Fix regression
    introduced by c6f2f78. Cherry-picked from upstream stable/grizzly.

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 18 Sep 2013 13:17:19 -0700

cinder (1:2013.1.3-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (2023eec) (LP: #1210447):
    - [0c86041] Bump stable/grizzly next version to 2013.1.3
    - [a1c0ba1] Syntax error in hp3par driver LP: 1186566
    - [e97b555] Cloning a SolidFire volume doesn't work anymore LP: 1188454
    - [7a15827] cinder thinlvm allocates new snap based volumes outside the
      pool LP: 1192601
    - [e58cac5] SolidFire driver should catch Connection Refused error
      LP: 1195910
    - [f5b80aa] live migration fails with storwize/svc driver LP: 1179773
    - [85444f4] Incorrect authorization rule in api.quota LP: 1185974
    - [78945d0] test_storwize_svc.py fails with
      storwize_svc_multihostmap_enabled default value (False) LP: 1198146
    - [2eda2e6] storwize svc driver needs to avoid SVC CLI shortcut
      LP: 1163964
    - [82c6ffe] SolidFire _do_clone needs to account for create_from_snapshot
      as well as clone LP: 1192745
    - [559b0fa] handle-remaining-connect-fails-cases-in-solidfire-driver
      LP: 1201592
    - [bfeae7b] Cannot run cinder-volume with SolidFire driver in
      active/active LP: 1179671
    - [68e4e55] some default config options are of the wrong type LP: 1167318
    - [5ae3c21] unable to discover shares for nfs drivers LP: 1158681
    - [762c4d2] Pyflakes error in EMC driver LP: 1188619
    - [5dfb545] need_longer_timeout_setting_for_solidfire_clone LP: 1202007
    - [c6f2f78] Cinder LVM volume driver does not support secure deletion
      (CVE-2013-4183) LP: 1198185
    - [2023eec] [OSSA 2013-023] Potential unsafe XML usage (CVE-2013-4179,
      CVE-2013-4202) LP: 1190229
  * debian/rules: Clean new setuptools_git cruft.
  * debian/control: Set Vcs fields.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 09 Aug 2013 09:59:32 +0100

cinder (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (890dc3fe) (LP: #1188788):
    - [46f1e0a] Unable to modify volume-type/QoS on cloned SolidFire volume
      LP: 1184235
    - [e7d973c] Creating a Cinder volume from an image ID fails to copy the
      image to the volume LP: 1183283
    - [c56d031] Cloned volume is associated with wrong SolidFire account
      LP: 1183521
    - [53ffc79] Huawei driver failed to handle mutiple requests in short time
      LP: 1162251
    - [839a6a7] cinder volume service keeps retrying even with code exception
      LP: 1167841
    - [80784a4] Grizzly upgrade breaks old api v1 router path LP: 1168573

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 07 Jun 2013 13:27:14 -0400

cinder (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (a4856c4e) (LP: #1179626):
    - [995a310] Can't specify custom backend-name for HP/3par driver
      LP: 1175222
    - [319f712] SolidFire driver can't be used with extra-specs as in the past
      LP: 1167141
    - [817eac8] 3par driver not synchronize causing duplicate hostname error
      LP: 1172503
    - [2e3c1cd] backup-delete removes backup from database LP: 1169943
    - [2f72682] nexenta driver doesn't report volume stats LP: 1166607
    - [6221a0e] ThinLVM driver fails due to get_stats LP: 1166572
    - [93247d2] Deleted snapshots still counting against quota  LP: 1173365
    - [6008be0] Multibackend config issue in cinder-volume LP: 1169928
    - [b8de829] glusterfs driver doesn't report volume stats LP: 1164038
    - [59f11c9] reschedule_or_reraise in cinder.volume.manager eats exception on
      base LVM driver LP: 1159027
    - [9318ffc] cinder-manage backup list is broken since we switched to uuids
      for backups LP: 1164922
    - [ba41b68] Logging configured incorrectly in cinder-all LP: 1161038
    - [2113fe1] sql_connection not marked secret LP: 1160680
    - [e1c153c] Error re-scheduling volume creation LP: 1164857
    - [5521cae] Remove unused tools/rfc.sh
    - [fed7c92] backup tests fail due to format errors in messages  LP: 1166600

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 14 May 2013 07:49:04 -0700

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,8 @@
  python-webob
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cinder
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/grizzly/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/grizzly
 
 Package: python-cinder
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,7 @@
 
 override_dh_fixperms:
 	dh_fixperms -Xcinder_tgt.conf
+
+override_dh_clean:
+	dh_auto_clean
+	rm -rf setuptools_git*.egg

## cinder 2013.1.4

=== debian/changelog ===
cinder (1:2013.1.4-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (6e764cb) (LP: #1241202):
    - [74a2154] ThinLVM create volume from snapshot fails LP: 1210853
    - [25be695] Failure to create tmp file in image_conversion_dir can lead to
      the creation of 3 volumes LP: 1224211
    - [f89afda] Nova and quantum don't close qpid connections after certain
      error conditions LP: 1172922
    - [f91361d] volume cloning is failing with an I/O error happening when the
      backing snapshot is wiped LP: 1191812
    - [c381a49] volume is not deleted in cinder db LP: 1209367
    - [9891bf8] Volume size is not updated when cloning a volume with SolidFire
      LP: 1219105
    - [ddec0fc] when using qpid, metadata arguments cause volume cloning to
      fail LP: 1213964
    - [d13df23] Previous change to allow SolidFire to clone different size,
      breaks create-snapshot LP: 1234970
    - [eac6ecd] Cinder-Volume Fails to Boot on Restart LP: 1212206
    - [174a985] upload-to-image fails with the NetApp NFS backend LP: 1221205
    - [a3d3fa1] "mount.nfs is not installed" is in error LP: 1212286
    - [8002421] Allow display_name for v2 snapshot-update LP: 1226398
    - [9e85d49] Cinder API v2: List Snapshots Details can not use search
      options like "offset" and "limit" as admin user LP: 1205956
    - [22c53d6] NetApp: iSCSI drivers' reserved percentage is 100 LP: 1182015
    - [84b4ad8] Incorrect tunnelling to NetApp servers in concurrent requests
      LP: 1176759
    - [ba03c32] solidfire driver crashes during ensure export if solidfire not
      available LP: 1215064
    - [6e764cb] NetApp driver should disallow very old controller OS versions
      LP: 1223474
  * debian/patches/fix-secure-delete-for-lvm.patch: Dropped.
 
 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 17 Oct 2013 13:51:14 -0700

## cinder 2013.1.5

=== debian/changelog ===
cinder (1:2013.1.5-0ubuntu1~cloud0) precise-grizzly; urgency=medium

  * Resynchronize with stable/grizzly (3b8b541) (LP: #1295674):
    - [3b8b541] Pin SQLAlchemy to 0.7.x
    - [2d0278f] Hiding postgresql password in connection string
    - [37389b3] Fix problem with setting SSL protocol in QPid
    - [c9c9eaa] Don't zero out thin provisioned LV's on delete
    - [6487863] Clear correct device when deleting a ThinLVM snap
    - [3a3bcbb] Handle GlanceMetadataNotFound Exceptions
    - [c297f27] Raise VolumeNotFound with correct volume_id

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Mar 2014 13:17:31 -0400

## cinder 2013.1.g3

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  python-anyjson,
  python-cheetah,
  python-coverage,
+ python-daemon,
  python-eventlet,
+ python-glance,
  python-glanceclient,
  python-greenlet,
  python-hp3parclient (>= 1.0.0),
@@ -22,24 +24,22 @@
  python-mock,
  python-mox,
  python-mysqldb,
+ python-netaddr,
  python-nose,
- python-oslo.config,
+ python-oslo-config,
  python-paramiko,
  python-paste,
  python-pastedeploy,
  python-routes,
- python-swiftclient,
  python-setuptools,
  python-setuptools-git,
  python-sphinx,
  python-sqlalchemy,
- python-stevedore (>= 0.8),
+ python-stevedore (>= 0.7),
  python-suds,
  python-webob
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cinder
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/grizzly/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/grizzly
 
 Package: python-cinder
 Section: python
@@ -47,23 +47,23 @@
 Depends:
  python-amqplib,
  python-anyjson,
+ python-cheetah,
+ python-daemon,
  python-eventlet,
  python-glance,
  python-glanceclient,
- python-keystoneclient,
- python-oslo.config,
  python-greenlet,
  python-iso8601,
  python-kombu,
  python-lockfile,
  python-lxml,
  python-migrate,
+ python-netaddr,
  python-paramiko,
  python-paste,
  python-pastedeploy,
  python-routes,
- python-stevedore (>= 0.8),
- python-swiftclient,
+ python-rtslib,
  python-sqlalchemy,
  python-suds,
  python-webob,
@@ -144,16 +144,3 @@
  Cinder is the OpenStack Block storage service.
  .
  This package contains the Cinder Scheduler server.
-
-Package: cinder-backup
-Architecture: all
-Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
-Description: Cinder storage service - Scheduler server
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
- and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
- Cinder is the OpenStack Block storage service.
- .
- This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

## cinder 2013.2~rc3

=== requirements.txt ===
pbr>=0.5.21,<1.0
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
iso8601>=0.1.4
kombu>=2.4.8
lockfile>=0.8
lxml>=2.3
netaddr
oslo.config>=1.1.0
paramiko>=1.8.0
Paste
PasteDeploy>=1.5.0
python-glanceclient>=0.9.0
python-keystoneclient>=0.3.0
python-novaclient>=2.15.0
python-swiftclient>=1.5
Routes>=1.12.3
six
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
stevedore>=0.10
suds>=0.4
WebOb>=1.2.3,<1.3
wsgiref>=0.1.2

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -N
+	testr init && testr run
 endif
 
 override_dh_install:
@@ -19,3 +19,7 @@
 
 override_dh_fixperms:
 	dh_fixperms -Xcinder_tgt.conf
+
+override_dh_clean:
+	# temporary workaround for d2to1 wonkyness
+	dh_clean -Xsetup.cfg

## cinder 2013.2.3

=== requirements.txt ===
pbr>=0.5.21,<1.0
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
iso8601>=0.1.8
kombu>=2.4.8
lockfile>=0.8
lxml>=2.3
netaddr
oslo.config>=1.2.0
paramiko>=1.8.0
Paste
PasteDeploy>=1.5.0
python-glanceclient>=0.9.0
python-keystoneclient>=0.3.2
python-novaclient>=2.15.0
python-swiftclient>=1.5
Routes>=1.12.3
six>=1.4.1
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
stevedore>=0.10
suds>=0.4
WebOb>=1.2.3,<1.3
wsgiref>=0.1.2

=== debian/changelog ===
cinder (1:2013.2.3-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: specify /etc/cinder/rootwrap.conf for use with
    cinder-rootwrap
    - CVE-2013-1068 (LP: #1185019)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 09 Jun 2014 09:43:48 -0500

cinder (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (c5cdf82) (LP: #1302575):
    - [c5cdf82] User a more accurate max_delay for reconnects
    - [62d4e54] VMware: Fixed upload-to-image for available volume
    - [9ff2f90] Cast the quota set values to integer before checking their validity
    - [5b9fc5c] Raise max header size to accommodate large tokens
    - [78d7e7a] Ensures NetApp iSCSI driver correctly compares int values for size
    - [d043874] Don't raise MySQL 2013 'Lost connection' errors
    - [41f043a] Add db2 communication error code when check the db connection
    - [ed41b68] Update quota-set throw 500 error
    - [42e2805] Delete volume transfer in volume_destroy function
    - [24a1bd8] Catch ImageBusy exception when deleting rbd volume
    - [69e687d] GlusterFS: Fix deadlock in volume clone
    - [e0dca03] GlusterFS: Synchronize additional operations
    - [018ece5] Fix volume transfer href issue
    - [924a901] Support volume_readonly_update using XML format
    - [e8aeb57] Hiding postgresql password in connection string
    - [07892b1] Add valid check and unit tests on quota class
    - [472cf25] NetApp fix for vsadmin role failure for ssc 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 04 Apr 2014 11:25:01 -0400

cinder (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (67e4b38) (LP: #1284643):
    - [ec8ce6c] rate-limiting doesn't work LP: 1259957
    - [5228001] Cinder Migrate from NFS fails due to nfs_mount_point_base not
      being provided LP: 1238085
    - [ace214a] migrate_volume dest_vg existence is wrong LP: 1258203
    - [36b7596] lvm_mirrors in volume_migration should be converted to int
      LP: 1258133
    - [6687331] NFS/GlusterFS drivers should validate format of configured
      shares LP: 1267253
    - [3d967e0] Copy image to volume iSCSI multipath doesn't work properly if
      there are different targets associated with different portals for a
      mulitpath device. LP: 1266048
    - [77fade5] NetApp cinder driver reports 0 free space for the first 60
      seconds LP: 1253660
    - [f02d4fe] GlusterFS: allow snapshot_delete when snapshot info does not
      exist LP: 1252864
    - [240c81d] GlusterFS: Use correct base argument when deleting attached
      snaps LP: 1262880
    - [4470fdb] No notification sent deleting a volume that doesn't have a real
      backing volume LP: 1257053
    - [f9e1943] cinder does not handle missing volume group gracefully (stuck
      in "creating") LP: 1242942
    - [67e4b38] LVM brick instantiation fails on volume_migration LP: 1258128

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 08:57:25 -0500

cinder (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (eb78fee) (LP: #1262788):
    - [d8a0cd9] GlusterFS: errors when trying to boot instance from cloned
      volume LP: 1244238
    - [550f439] SSC attribute netapp_mirrored is not followed LP: 1242808
    - [0d3c303] SSC attributes netapp_compression and netapp_dedup are not
      followed LP: 1236839
    - [243ad85] Brick HostDriver test failure LP: 1244418
    - [42f3e68] SSC volume filtering for extra specs can result in inconsistent
      list LP: 1243081
    - [2e5dc22] Broken NetAppDirect7modeISCSIDriver reports incorrect free
      capacity, scheduler won't balance between multiple Netapp backends
      LP: 1238967
    - [ad05556] copy image to volume is broken for non-local volumes
      LP: 1243980
    - [5f7d263] check_ssh_injection not handling quoted args correctly
      LP: 1244415
    - [709130b] don't secure delete thin provisioned volumes or snapshots
      LP: 1240299
    - [986d243] invalid volume when source image virtual size is bigger than
      the requested size LP: 1235358
    - [df6d45f] invalid volume when source image virtual size is bigger than
      the requested size LP: 1235358
    - [78609c1] Properly handle volume cleanup with RBD driver LP: 1254318
    - [0801927] KeyError from storwize driver when 'host' is not provided to
      terminate_connection LP: 1244257
    - [e96e33c] GlusterFS: cloned volume has incorrect permissions LP: 1254768
    - [4529886] GlusterFS: operations that modify data require locking
      LP: 1251425
    - [3a58261] cinder backup should use pipe for diff transfer LP: 1244464
    - [3591f0d] Havana cinder requires glance API V2 LP: 1252549
    - [871d7d6] Excessive queries for API volumes/detail extensions LP: 1197612
    - [22a7101] Ensure ThinLVM LV is active when cloning LP: 1252423
    - [c5d4246] Excessive queries for API volumes/detail extensions LP: 1197612
    - [395ec74] Excessive queries for API volumes/detail extensions LP: 1197612
    - [1825386] Excessive queries for API volumes/detail extensions LP: 1197612
    - [430f0b9] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [eb78fee] Updated from global requirements
  * debian/patches: Refresh.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 17 Dec 2013 20:01:13 -0800

=== debian/control ===
--- 
+++ 
@@ -4,72 +4,81 @@
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
 Build-Depends-Indep:
- pep8,
- python-amqplib,
- python-anyjson,
- python-cheetah,
+ python-amqplib (>= 0.6.1),
+ python-anyjson (>= 0.3.3),
+ python-babel,
  python-coverage,
- python-daemon,
- python-eventlet,
- python-glance,
- python-glanceclient,
- python-greenlet,
- python-hp3parclient (>= 1.0.0),
+ python-d2to1,
+ python-eventlet (>= 0.13.0),
+ python-fixtures (>= 0.3.14),
+ python-glanceclient (>= 1:0.9.0),
+ python-greenlet (>= 0.3.2),
+ python-hp3parclient (>= 2.0.0),
  python-iso8601,
- python-keystoneclient,
- python-kombu,
+ python-keystoneclient (>= 1:0.3.0),
+ python-kombu (>= 2.5.12),
  python-lockfile,
- python-lxml,
+ python-lxml (>= 2.3),
  python-migrate,
  python-mock,
  python-mox,
  python-mysqldb,
  python-netaddr,
- python-nose,
- python-oslo-config,
- python-paramiko,
+ python-novaclient (>= 1:2.15.0),
+ python-oslo.config (>= 1:1.1.0),
+ python-paramiko (>= 1.8),
  python-paste,
  python-pastedeploy,
+ python-pbr (>= 0.5.21),
  python-routes,
  python-setuptools,
- python-setuptools-git,
+ python-six,
  python-sphinx,
- python-sqlalchemy,
- python-stevedore (>= 0.7),
+ python-sqlalchemy (>= 0.8.2),
+ python-stevedore (>= 0.10),
  python-suds,
- python-webob
-Standards-Version: 3.9.3
+ python-swiftclient (>= 1:1.5),
+ python-testtools (>= 0.9.32),
+ python-webob (>= 1.2.3),
+ testrepository (>= 0.0.17)
+Standards-Version: 3.9.4
 Homepage: http://launchpad.net/cinder
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/havana
+XS-Testsuite: autopkgtest
 
 Package: python-cinder
 Section: python
 Architecture: all
 Depends:
- python-amqplib,
- python-anyjson,
- python-cheetah,
- python-daemon,
- python-eventlet,
- python-glance,
- python-glanceclient,
- python-greenlet,
+ python-amqplib (>= 0.6.1),
+ python-anyjson (>= 0.3.3),
+ python-babel,
+ python-eventlet (>= 0.13.0),
+ python-glanceclient (>= 1:0.9.0),
+ python-greenlet (>= 0.3.2),
  python-iso8601,
- python-kombu,
+ python-keystoneclient (>= 1:0.3.0),
+ python-kombu (>= 2.5.12),
  python-lockfile,
- python-lxml,
+ python-lxml (>= 2.3),
  python-migrate,
  python-netaddr,
- python-paramiko,
+ python-novaclient (>= 1:2.12.0),
+ python-oslo.config (>= 1:1.1.0),
+ python-paramiko (>= 1.8),
  python-paste,
  python-pastedeploy,
  python-routes,
- python-rtslib,
- python-sqlalchemy,
+ python-six,
+ python-sqlalchemy (>= 0.8.2),
+ python-stevedore (>= 0.10),
  python-suds,
- python-webob,
+ python-swiftclient (>= 1:1.5),
+ python-webob (>= 1.2.3),
  ${misc:Depends},
  ${python:Depends}
-Suggests: python-hp3parclient
+Suggests: python-ceph, python-hp3parclient
 Description: Cinder Python libraries
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -119,7 +128,6 @@
  tgt,
  ${misc:Depends},
  ${python:Depends}
-Suggests: ceph-common
 Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
 Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
 Description: Cinder storage service - Volume server
@@ -144,3 +152,16 @@
  Cinder is the OpenStack Block storage service.
  .
  This package contains the Cinder Scheduler server.
+
+Package: cinder-backup
+Architecture: all
+Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Description: Cinder storage service - Scheduler server
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
+ Cinder is the OpenStack Block storage service.
+ .
+ This package contains the Cinder backup service.

## cinder 2014.1

=== requirements.txt ===
pbr>=0.6,<1.0
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
iso8601>=0.1.9
kombu>=2.4.8
lxml>=2.3
netaddr>=0.7.6
oslo.config>=1.2.0
oslo.messaging>=1.3.0a9
oslo.rootwrap
paramiko>=1.9.0
Paste
PasteDeploy>=1.5.0
python-glanceclient>=0.9.0
python-keystoneclient>=0.7.0
python-novaclient>=2.17.0
python-swiftclient>=1.6
requests>=1.1
Routes>=1.12.3
taskflow>=0.1.3,<0.2
rtslib-fb>=2.1.39
six>=1.5.2
SQLAlchemy>=0.7.8,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4
stevedore>=0.14
suds>=0.4
WebOb>=1.2.3
wsgiref>=0.1.2

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/cinder/+download https://launchpad.net/cinder/.*/.*/.*/cinder-(.*)\.tar\.gz
